--- old/usr/src/uts/common/fs/namefs/namevfs.c	sam. juil. 16 15:14:13 2016
+++ new/usr/src/uts/common/fs/namefs/namevfs.c	sam. juil. 16 15:14:13 2016
@@ -666,17 +666,17 @@
 nameinit(int fstype, char *name)
 {
 	static const fs_operation_def_t nm_vfsops_template[] = {
-		VFSNAME_MOUNT,		{ .vfs_mount = nm_mount },
-		VFSNAME_UNMOUNT,	{ .vfs_unmount = nm_unmount },
-		VFSNAME_ROOT,		{ .vfs_root = nm_root },
-		VFSNAME_STATVFS,	{ .vfs_statvfs = nm_statvfs },
-		VFSNAME_SYNC,		{ .vfs_sync = nm_sync },
-		NULL,			NULL
+		{ VFSNAME_MOUNT,	{ .vfs_mount = nm_mount } },
+		{ VFSNAME_UNMOUNT,	{ .vfs_unmount = nm_unmount } },
+		{ VFSNAME_ROOT,		{ .vfs_root = nm_root } },
+		{ VFSNAME_STATVFS,	{ .vfs_statvfs = nm_statvfs } },
+		{ VFSNAME_SYNC,		{ .vfs_sync = nm_sync } },
+		{ NULL,			{ NULL } }
 	};
 	static const fs_operation_def_t nm_dummy_vfsops_template[] = {
-		VFSNAME_STATVFS,	{ .vfs_statvfs = nm_statvfs },
-		VFSNAME_SYNC,		{ .vfs_sync = nm_sync },
-		NULL,			NULL
+		{ VFSNAME_STATVFS,	{ .vfs_statvfs = nm_statvfs } },
+		{ VFSNAME_SYNC,		{ .vfs_sync = nm_sync } },
+		{ NULL,			{ NULL } }
 	};
 	int error;
 	int dev;
@@ -742,7 +742,7 @@
 };
 
 static struct modlinkage modlinkage = {
-	MODREV_1, (void *)&modlfs, NULL
+	MODREV_1, { (void *)&modlfs, NULL }
 };
 
 int
